com.typesafe.config

## Interface ConfigIncluderClasspath

    public interface ConfigIncluderClasspath

Implement this in addition to `ConfigIncluder` if you want to support inclusion of files with the `include classpath("resource")` syntax. If you do not implement this but do implement `ConfigIncluder`, attempts to load classpath resources will use the default includer.

### Method Summary

All Methods Instance Methods Abstract Methods
`ConfigObject` `includeResources(ConfigIncludeContext context, java.lang.String what)` Parses another item to be included.

### Method Detail

#### includeResources

    ConfigObject includeResources(ConfigIncludeContext context,
                                  java.lang.String what)

Parses another item to be included. The returned object typically would not have substitutions resolved. You can throw a ConfigException here to abort parsing, or return an empty object, but may not return null.

Parameters:
  `context` - some info about the include context
  `what` - the include statement's argument
Returns:
  a non-null ConfigObject